
QGIS Application - Bug report #15609

Missing build dependency for Debian stretch in master

2016-09-22 07:46 AM - Andy Wood

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Linux amd64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23532

Description

[ 97%] Building CXX object python/CMakeFiles/python_module_qgis__analysis.dir/analysis/sip_analysispart0.cpp.o

.../qgis_src/debian/build/python/analysis/sipAPI_analysis.h:11:17: fatal error: sip.h: No such file or directory

#include <sip.h>

This is fixed by installing python3-sip-dev, but this is not a build dependency.

Andy.

Associated revisions

Revision 07c3801e - 2016-09-24 04:50 PM - Jürgen Fischer

debian packaging: include python3-sip-dev in build dependencies (fixes #15609)

History

#1 - 2016-09-24 07:54 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"07c3801ee30ede9512ab7d399bee2a4bfce6ea34".
